package org.netkernel.xml.representation;

import java.io.IOException;

import org.netkernel.layer0.representation.IReadableBinaryStreamRepresentation;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;

public class RepSAXHead implements IRepSAX
{	
	private final IReadableBinaryStreamRepresentation mStream;
	private final String mSystemId;
	private final XMLReader mReader;

	public RepSAXHead(IReadableBinaryStreamRepresentation aStream, String aSystemId) throws IOException, SAXException
	{	mStream=aStream;
		mSystemId=aSystemId;
		mReader=XMLReaderFactory.createXMLReader();
	}
	
	public XMLReader getReader()
	{	return mReader;
	}

	public void trigger() throws IOException, SAXException
	{	InputSource src=new InputSource(mStream.getInputStream());
		src.setSystemId(mSystemId);
		mReader.parse(src);
	}
}
